package com.yihu.hos.system.service.intf;

import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.system.model.SystemDict;
import com.yihu.hos.system.model.SystemDictList;

import java.util.Map;

/**
 * Created by chenweida on 2016/1/20.
 */
public interface IDictManager {
    Result getDictList(Map<String, Object> params) throws Exception;

    Result getDictItemList(Map<String, Object> params) throws Exception;

    SystemDict getSystemDictById(String id) throws Exception;

    SystemDictList getSystemDictListById(String id) throws Exception;

    Result deleteDict(String id) throws Exception;

    Result addDict(SystemDictList rr) throws Exception;

    Result updateDict(SystemDictList rr) throws Exception;

    Result deleteDictItem(String id) throws Exception;

    Result addDictItem(SystemDict rr) throws Exception;

    Result updateDictItem(SystemDict rr) throws Exception;
}
